| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.TextureBufferObject

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_texture_buffer_object, see http://www.opengl.org/registry/specs/ARB/texture_buffer_object.txt.
Synopsis

glTexBuffer :: GLenum -> GLenum -> GLuint -> IO ()
gl_TEXTURE_BUFFER :: GLenum
gl_MAX_TEXTURE_BUFFER_SIZE :: GLenum
gl_TEXTURE_BINDING_BUFFER :: GLenum
gl_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum
gl_TEXTURE_BUFFER_FORMAT :: GLenum

Functions

glTexBuffer :: GLenum -> GLenum -> GLuint -> IO () | Source

Tokens

gl_TEXTURE_BUFFER :: GLenum | Source

gl_MAX_TEXTURE_BUFFER_SIZE :: GLenum | Source

gl_TEXTURE_BINDING_BUFFER :: GLenum | Source

gl_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum | Source

gl_TEXTURE_BUFFER_FORMAT :: GLenum | Source

Produced by Haddock version 2.4.2